#ifndef MFC_FILE_H_
#define MFC_FILE_H_

//////////////////////////////////////////////////////////////////////////////////
//
// 该类没有完成，在windows系统里有很多其他的对文件操作的API和库，都有很强大的功能
//
//////////////////////////////////////////////////////////////////////////////////
#include <windows.h>

class CFile
{
public:
	CFile();
	~CFile();

	BOOL Create(LPCTSTR lpFileName);
	BOOL Open(LPCTSTR lpFileName);
	BOOL Read(LPVOID buffer,DWORD ReadNumber);
	BOOL Write(LPVOID buffer,DWORD WriteNumber);
	DWORD GetLength();
	void SetEnd();
	void SetBegin();
	void Seek(LONG nMove,DWORD Method=FILE_CURRENT);
	void Close();

protected:
	HANDLE hFile;
	DWORD  FileLength;
};
#endif
